package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;
/**
 * 滤芯更换记录DTO
 * 2017年4月17日
 * @author 刘志伟
 */
public class RentChangeLosgsDTO implements Serializable{

	private static final long serialVersionUID = 5644557358227140768L;
	
	private Integer logsId;					//id
	private String logsMachineDeviceId;//设备id（微信）
	private String logsOrderId;			//订单号
	private String logsOpenid;			//更换人openId
	private Integer logsRentType;		//租赁类型
	private Integer logsFilterType;		//滤芯类型
	private Integer logsStatus;			//状态
	private Date logsSendTime;			//发货时间
	private String logsAddressInfo;	//详细地址
	private String logsAddressTel;		//收件人电话
	private String logsAddressName;//收件人姓名
	private Date logsAccomplishTime;//完成时间
	private Date logsCreateTime;		//创建时间
	private Integer filterT1;				//T1滤芯是否可以更换 1：可以，2：不可以
	private Integer filterT2;				//T2滤芯是否可以更换 1：可以，2：不可以
	private Integer filterT3;				//T3滤芯是否可以更换 1：可以，2：不可以
	private Integer filterT4;				//T4滤芯是否可以更换 1：可以，2：不可以
	
	public Integer getLogsId() {
		return logsId;
	}
	public void setLogsId(Integer logsId) {
		this.logsId = logsId;
	}
	public String getLogsMachineDeviceId() {
		return logsMachineDeviceId;
	}
	public void setLogsMachineDeviceId(String logsMachineDeviceId) {
		this.logsMachineDeviceId = logsMachineDeviceId;
	}
	public Integer getLogsFilterType() {
		return logsFilterType;
	}
	public void setLogsFilterType(Integer logsFilterType) {
		this.logsFilterType = logsFilterType;
	}
	public Integer getLogsStatus() {
		return logsStatus;
	}
	public void setLogsStatus(Integer logsStatus) {
		this.logsStatus = logsStatus;
	}
	public Date getLogsSendTime() {
		return logsSendTime;
	}
	public void setLogsSendTime(Date logsSendTime) {
		this.logsSendTime = logsSendTime;
	}
	public String getLogsAddressInfo() {
		return logsAddressInfo;
	}
	public void setLogsAddressInfo(String logsAddressInfo) {
		this.logsAddressInfo = logsAddressInfo;
	}
	public String getLogsAddressTel() {
		return logsAddressTel;
	}
	public void setLogsAddressTel(String logsAddressTel) {
		this.logsAddressTel = logsAddressTel;
	}
	public String getLogsAddressName() {
		return logsAddressName;
	}
	public void setLogsAddressName(String logsAddressName) {
		this.logsAddressName = logsAddressName;
	}
	public Date getLogsAccomplishTime() {
		return logsAccomplishTime;
	}
	public void setLogsAccomplishTime(Date logsAccomplishTime) {
		this.logsAccomplishTime = logsAccomplishTime;
	}
	public Date getLogsCreateTime() {
		return logsCreateTime;
	}
	public void setLogsCreateTime(Date logsCreateTime) {
		this.logsCreateTime = logsCreateTime;
	}
	public Integer getFilterT1() {
		return filterT1;
	}
	public void setFilterT1(Integer filterT1) {
		this.filterT1 = filterT1;
	}
	public Integer getFilterT2() {
		return filterT2;
	}
	public void setFilterT2(Integer filterT2) {
		this.filterT2 = filterT2;
	}
	public Integer getFilterT3() {
		return filterT3;
	}
	public void setFilterT3(Integer filterT3) {
		this.filterT3 = filterT3;
	}
	public Integer getFilterT4() {
		return filterT4;
	}
	public void setFilterT4(Integer filterT4) {
		this.filterT4 = filterT4;
	}
	public String getLogsOrderId() {
		return logsOrderId;
	}
	public void setLogsOrderId(String logsOrderId) {
		this.logsOrderId = logsOrderId;
	}
	public String getLogsOpenid() {
		return logsOpenid;
	}
	public void setLogsOpenid(String logsOpenid) {
		this.logsOpenid = logsOpenid;
	}
	public Integer getLogsRentType() {
		return logsRentType;
	}
	public void setLogsRentType(Integer logsRentType) {
		this.logsRentType = logsRentType;
	}
	@Override
	public String toString() {
		return "RentChangeLosgsDTO [logsId=" + logsId
				+ ", logsMachineDeviceId=" + logsMachineDeviceId
				+ ", logsOrderId=" + logsOrderId + ", logsOpenid=" + logsOpenid
				+ ", logsRentType=" + logsRentType + ", logsFilterType="
				+ logsFilterType + ", logsStatus=" + logsStatus
				+ ", logsSendTime=" + logsSendTime + ", logsAddressInfo="
				+ logsAddressInfo + ", logsAddressTel=" + logsAddressTel
				+ ", logsAddressName=" + logsAddressName
				+ ", logsAccomplishTime=" + logsAccomplishTime
				+ ", logsCreateTime=" + logsCreateTime + ", filterT1="
				+ filterT1 + ", filterT2=" + filterT2 + ", filterT3="
				+ filterT3 + ", filterT4=" + filterT4 + "]";
	}
	
}
